Skip to main content
GET
/
api
/
ml
/
v1
/
models
/
{id}
Get model
curl --request GET \
  --url https://{controlPlaneURL}/api/ml/v1/models/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{controlPlaneURL}/api/ml/v1/models/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{controlPlaneURL}/api/ml/v1/models/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "ml_repo_id": "<string>",
    "name": "<string>",
    "fqn": "<string>",
    "created_by_subject": {
      "subjectId": "<string>",
      "subjectSlug": "<string>",
      "subjectDisplayName": "<string>",
      "subjectPatName": "<string>",
      "subjectControllerName": "<string>",
      "subjectExternalIdentitySlug": "<string>"
    },
    "type": "model",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "latest_version": {
      "id": "<string>",
      "fqn": "<string>",
      "created_by_subject": {
        "subjectId": "<string>",
        "subjectSlug": "<string>",
        "subjectDisplayName": "<string>",
        "subjectPatName": "<string>",
        "subjectControllerName": "<string>",
        "subjectExternalIdentitySlug": "<string>"
      },
      "manifest": {
        "name": "<string>",
        "metadata": {},
        "ml_repo": "<string>",
        "source": {
          "type": "truefoundry",
          "uri": "<string>"
        },
        "version": 2,
        "type": "model-version",
        "description": "<string>",
        "version_alias": "<string>",
        "framework": {
          "type": "transformers",
          "library_name": "transformers",
          "pipeline_tag": "<string>",
          "base_model": "<string>"
        },
        "environment": {
          "python_version": "<string>",
          "pip_packages": [
            "<string>"
          ]
        },
        "step": 0,
        "run_id": "<string>"
      },
      "ml_repo_id": "<string>",
      "model_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "tags": [
        "<string>"
      ],
      "version_alias": "<string>",
      "usage_code_snippet": "<string>",
      "metrics": [
        {
          "key": "<string>",
          "value": 123,
          "timestamp": 123,
          "step": 0
        }
      ],
      "deployable": false
    },
    "run_steps": [
      123
    ]
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

The model data

data
Data · object
required

The model data